Skip to main content
GET
/
api
/
v1
/
projects
/
{id}
/
members
GET projects members
curl --request GET \
  --url https://app.onecodex.com/api/v1/projects/{id}/members \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://app.onecodex.com/api/v1/projects/{id}/members"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://app.onecodex.com/api/v1/projects/{id}/members', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


[
  {
    "permissions": [
      "<string>"
    ],
    "user": {
      "__DOLLAR_REF__": "/api/v1/users/a1b2c3d4e5f67890"
    }
  }
]
List the users who have been granted access to a Project. Each member has a set of permissions describing what they can do within the project (e.g., can_see_files, can_add_files, can_edit_metadata, can_download_files).

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string
required

Response

200 - application/json

OK

permissions
string[]
required
user
object
required